<?php
class postarea extends box{
	
	function __construct($parent){ 	
		parent::__construct($parent);	
	}
	
	function on_page_load($box){
		$this->create_fields($box['fields'],'on_page_load');
	}
	function on_page_head($box){
		$this->create_fields($box['fields'],'on_page_head');
		?>
		<style>
			.postarea span.title{
				font-size: 1.17em;
				font-weight: bold;
				font-family: sans-serif;
				padding: 0;
				margin: 1em 0;
				line-height: 1.4em;
			}
		</style>
		<?php
	}
	function on_page_footer($box){
		$this->create_fields($box['fields'],'on_page_footer');
	}
	function on_page_body($box){
		echo '<div id="'.$this->parent->create_prefix('tab').$box['id'].'-postarea'.'" class="postarea">';
			echo '<span class="title">'.$box['title'].'</span>';
			echo '<div class="inside">';
				$this->create_fields($box['fields'],'on_page_body');
			echo '</div>';
		echo '</div>';
	}
	function on_page_save($box){
		$this->create_fields($box['fields'],'on_page_head');
	}
	
	function create_fields($fields,$class_function){
		if(is_array($fields)){
			foreach ($fields as $field) {				
				$this->parent->fields[$field['type']]->$class_function($field);
			}
		}	
	}
	
}
?>