<?php
class stuffbox extends box{
	
	function __construct($parent){ 	
		parent::__construct($parent);	
	}
	
	function on_page_load($box){
		$this->create_fields($box['fields'],'on_page_load');
	}
	function on_page_head($box){
		$this->create_fields($box['fields'],'on_page_head');
	}
	function on_page_footer($box){
		$this->create_fields($box['fields'],'on_page_footer');
	}
	function on_page_body($box){
		echo '<div id="'.$this->parent->create_prefix('tab').$box['id'].'-stuffbox'.'" class="stuffbox" >';
			echo '<h3><span class="hndle">'.$box['title'].'</span></h3>';
			echo '<div class="inside">';
				$this->create_fields($box['fields'],'on_page_body');
			echo '</div>';
		echo '</div>';	
	}
	function on_page_save($box){
		$this->create_fields($box['fields'],'on_page_save');
	}
	
	function create_fields($fields,$class_function){
		if(is_array($fields)){
			foreach ($fields as $field) {				
				$this->parent->fields[$field['type']]->$class_function($field);
			}
		}	
	}

	
}
?>