<?php
class datepicker extends field{
	
	function __construct($parent){ 	
		parent::__construct($parent);	
	}
	
	function on_page_load($field){
	}
	function on_page_head($field){
	}
	function on_page_footer($field){
	}
	function on_page_body($field){
		// usefull variables
		$field['key'] = $this->parent->create_prefix('field','_').$field['id'];
		$field['meta_key'] = $this->parent->create_prefix('tab','_').$field['id'];	
		$field['value'] = upf_get_option($field['meta_key']);
		
		$field['value'] =  true == $field['value'] ? $field['value'] : $field['default'];
		echo '<div id="'.$field['key'].'" class="field">';
			$this->create_field($field);
		echo '</div>';
	}
	function on_page_save($field){
		$field['key'] = $this->parent->create_prefix('field','_').$field['id'];
		
		$field['value'] = esc_html($_POST[$field['key']], 1);
		
		$field['meta_key'] = $this->parent->create_prefix('tab','_').$field['id'];	
		upf_update_option($field['meta_key'], $field['value']);
	}
		
	function create_field($field) {
		$required['span'] = true == $field['required'] ? '<span class="required"> *</span>' : ''; 
		$required['class'] = true == $field['required'] ? 'required' : ''; 
		$validation = $field['validation'];

		echo '<label for="'.$field['key'] .'">'.$field['title'].$required['span'].'</label>';
		echo '<input type="text" class="datepicker dateISO '.$required['class'].' '.$validation.'" name=" '. $field['key']. '" id=" '. $field['key']. '" value="'.$field['value'].'" />'; // keep space before name and id, because I dont now!?

		echo '<p class="description">'. $field['description'].'</p>';
	}		
	
}
?>