<?php
class paypal extends field{
	
	function __construct($parent){ 	
		parent::__construct($parent);	
	}
	
	function on_page_load($field){
	}
	function on_page_head($field){
	}
	function on_page_footer($field){
	}
	function on_page_body($field){
		// usefull variables
		$field['key'] = $this->parent->create_prefix('field','_').$field['id'];
		$field['meta_key'] = $this->parent->create_prefix('tab','_').$field['id'];	
		$field['value'] = upf_get_option($field['meta_key']);
		
		$field['value'] =  false === $field['value'] ? $field['default'] : $field['value'];
		if($field['value']){
			echo '<div id="'.$field['key'].'" class="field">';
				$this->create_field($field);
			echo '</div>';
		}
	}
	function on_page_save($field){
	}
		
	function create_field($field) {	
		?>
		<script>
			jQuery(document).ready(function() { 
				jQuery('#select-payment').change(function() {
					selectvalue = jQuery(this).val();
					if(selectvalue){
						jQuery('#view-payment').removeAttr("disabled")
					}else{
						jQuery('#view-payment').attr('disabled', 'disabled');
					}
				});
				jQuery(function() {
					jQuery( ".paypal-details" ).dialog({autoOpen: false,width:600,height:400});
				});
				jQuery( "#view-payment" ).click(function() {
					selectvalue = jQuery('#select-payment').val();
					jQuery( "#paypal-details-"+ selectvalue ).dialog( "open" );
				});
			});
		</script>
		<?php
		
		if(is_array($field['value'])){
			foreach ($field['value'] as $key => $payment) {
				echo '<div style="display:none;" class="paypal-details" id="paypal-details-'.$key.'" title="Payment Details">';
				if(is_array($payment)){	
					echo '<ul>';
					foreach($payment as $key => $value){
						echo '<li><strong>'.$key.'</strong>: '.$value.'</li>';
					}
					echo '</ul>';
				}
				echo '</div>';
			}	
		}		
		
		$paid =0.00;
		$select_payment = '<select name="'. $field['key']. '" id="select-payment" '.$multiple.'>';			
			$select_payment .= '<option value="">Select a payment..</option>';		
			if(is_array($field['value'])){
				foreach ($field['value'] as $key => $payment) {
					$i = $key +1;
					$select_payment .= '<option value="'.$key.'">Payment '.$i.': '. $payment['mc_gross']. ' '.$payment['mc_currency'].' (txn:'.$payment['txn_id'].')</option>';
					$paid = $paid + $payment['mc_gross'];
				}	
			}		
		$select_payment .= '</select>';
		
		echo '<label for="'.$field['key'] .'">'.$field['title'].$required.'</label>';
		echo '<input type="text" class="paypal" name="'.$field['key'] .'" id="'. $field['key'] . '" value="'.$paid.'" readonly="readonly" />';		
		echo '<table width="100%" cellpadding="0" cellspacing="0">';
			echo '<tr>';
				echo '<td>';
					echo $select_payment;
				echo '</td><td width="50" style="padding-left:4px;">';
					echo '<input type="button" class="button" id="view-payment" value="View Payment" disabled="disabled">';
				echo '</td>';
			echo '</tr>';
		echo '</table>';
		echo '<p class="description">'. $field['description'].'</p>';
	}		
}
?>