<?php
class select extends field{
	
	function __construct($parent){ 	
		parent::__construct($parent);	
	}
	
	function on_page_load($field){
	}
	function on_page_head($field){
	}
	function on_page_footer($field){
	}
	function on_page_body($field){
		// usefull variables
		$field['key'] = $this->parent->create_prefix('field','_').$field['id'];
		$field['meta_key'] = $this->parent->create_prefix('tab','_').$field['id'];	
		$field['value'] = upf_get_option($field['meta_key']);
		
		$field['value']['option'] =  false === $field['value'] ? $field['default']['option'] : $field['value']['option'];
		
		echo '<div id="'.$field['key'].'" class="field">';
			$this->plfw_field($field);
		echo '</div>';
	}
	function on_page_save($field){
		$field['key'] = $this->parent->create_prefix('field','_').$field['id'];
		$field['value']['option'] = $_POST[$field['key']];
		
		if(is_array($field['options'])){
			foreach ($field['options'] as $option) {
				if($field['value']['option'] == $option['value']){
					$field['value']['title'] =  $option['title'];
				}
			}	
		}		
		$field['value'] = serialize($field['value'] );
		
		$field['meta_key'] = $this->parent->create_prefix('tab','_').$field['id'];	
		upf_update_option($field['meta_key'], $field['value']);
	}
		
	function plfw_field($field) {
		$required = true == $field['required'] ? '<span class="required"> *</span>' : ''; 
		$multiple = true == $field['multiple'] ? 'multiple="multiple"' : ''; 
	
		echo '<label for="'.$field['key'].'">'.$field['title'].$required.'</label>';
		echo '<select name="'. $field['key']. '" id="'. $field['key']. '" '.$multiple.'>';					
		if(is_array($field['options'])){
			foreach ($field['options'] as $option) {
				$selected = $field['value']['option'] == $option['value'] ? 'selected="selected"' : '';
				echo '<option value="'. $option['value']. '" '.$selected.'>'. $option['title']. '</option>';
			}	
		}		
		echo '</select>';
		echo '<p class="description">'. $field['description'].'</p>';
	}		

	
}
?>