<?php
class select_page extends field{
	
	function __construct($parent){ 	
		parent::__construct($parent);	
	}
	
	function on_page_load($field){
	}
	function on_page_head($field){
	}
	function on_page_footer($field){
	}
	function on_page_body($field){
		// usefull variables
		$field['key'] = $this->parent->create_prefix('field','_').$field['id'];
		$field['meta_key'] = $this->parent->create_prefix('tab','_').$field['id'];	
		$field['value'] = upf_get_option($field['meta_key']);
		
		$field['value'] =  true == $field['value'] ? $field['value'] : $field['default'];
		
		echo '<div id="'.$field['id'].'" class="field">';
			$this->plfw_field($field);
		echo '</div>';
	}
	function on_page_save($field){
		$field['key'] = $this->parent->create_prefix('field','_').$field['id'];
		$field['value'] = $_POST[$field['key']];

		$field['meta_key'] = $this->parent->create_prefix('tab','_').$field['id'];	
		upf_update_option($field['meta_key'], $field['value']);
	}
		
	function plfw_field($field) {
		$required = true == $field['required'] ? '<span class="required"> *</span>' : ''; 	
		
		echo '<label for="'.$field['key'].'">'.$field['title'].$required.'</label>';

		$args = array(
			'selected' => $field['value'],
			'name'  => $field['key'],
			'show_option_none' => "Select a page to enable",
		); 
		wp_dropdown_pages( $args );			
		echo '<p class="description">'. $field['description'].'</p>';
	}
}
?>