<?php
class slider extends field{
	
	function __construct($parent){ 	
		parent::__construct($parent);	
	}
	
	function on_page_load($field){
	}
	function on_page_head($field){
	}
	function on_page_footer($field){
	}
	function on_page_body($field){
		// usefull variables
		$field['key'] = $this->parent->create_prefix('field','_').$field['id'];
		$field['meta_key'] = $this->parent->create_prefix('tab','_').$field['id'];	
		$field['value'] = upf_get_option($field['meta_key']);
		
		$field['value']['min'] =  true == $field['value']['min'] ? $field['value']['min'] : $field['default']['min'];
		$field['value']['max'] =  true == $field['value']['max'] ? $field['value']['max'] : $field['default']['max'];
		echo '<div id="'.$field['key'].'" class="field">';
			$this->create_field($field);
		echo '</div>';
	}
	function on_page_save($field){
		$field['key'] = $this->parent->create_prefix('field','_').$field['id'];
		
		$field['value']['min'] = $_POST[$field['key']]['min'];
		$field['value']['max'] = $_POST[$field['key']]['max'];

		if(!empty($field['data']['min'])){
			$field['value']['min'] = $field['value']['min'] > $field['data']['min'] ? $field['value']['min'] : $field['data']['min'];
			$field['value']['max'] =  $field['value']['max'] > $field['data']['min'] ? $field['value']['max'] : $field['data']['min'];
		}
		if(!empty($field['data']['max'])){
			$field['value']['min'] = $field['value']['min'] < $field['data']['max'] ? $field['value']['min'] : $field['data']['max'];
			$field['value']['max'] =  $field['value']['max'] < $field['data']['max'] ? $field['value']['max'] : $field['data']['max'];
		}
		
		$field['value']['min']  = esc_html($field['value']['min'] , 1);
		$field['value']['min']  = preg_replace("/[^0-9]/", "",$field['value']['min']);
		$field['value']['max'] = esc_html($field['value']['max'] , 1);
		$field['value']['max'] = preg_replace("/[^0-9]/", "",$field['value']['max']);
		
		$field['value'] = serialize($field['value'] );		
		
		$field['meta_key'] = $this->parent->create_prefix('tab','_').$field['id'];	
		upf_update_option($field['meta_key'], $field['value']);
	}
		
	function create_field($field) {
		$required['span'] = true == $field['required'] ? '<span class="required"> *</span>' : ''; 
		$required['class'] = true == $field['required'] ? 'required' : ''; 
		$validation = $field['validation'];
		
		echo '<label for="'.$field['key'] .'">'.$field['title'].$required['span'].'</label>';	
		
		if(is_array($field['data'])){
			foreach($field['data'] as $data => $value){
				$attribute['div'][$data] = ' data-'.$data.'="'.$value.'"';
				$attribute['input'][$data] = $data.'="'.$value.'"';
			}
			$attributes['div'] = implode(' ',$attribute['div']);
		}
		
		$readonly['min'] = $field['readonly']['min'] == true ? 'readonly="readonly"' : '';
		$readonly['max'] = $field['readonly']['max'] == true ? 'readonly="readonly"' : '';
		$hidden['min'] = $field['hidden']['min'] == true ? 'display:none;' : '';
		$hidden['max'] = $field['hidden']['max'] == true ? 'display:none;' : '';
		
		echo '<div class="slider-container">';
			echo '<div style="margin:8px 8px;" class="slider-holder" '.$attributes['div'].'></div>';
			echo '<input style="width:49%;float:left;'.$hidden['min'].'" type="number" '.$attribute['input']['step'].' class="'.$required['class'].' '.$validation.'" name="'.$field['key'] .'[min]" id="'. $field['key'] . '[min]" value="'.$field['value']['min'].'"  '.$readonly['min'].'/>';
			echo '<input style="width:49%;float:right;'.$hidden['max'].'" type="number" '.$attribute['input']['step'].'  class="slider max '.$required['class'].' '.$validation.'" name="'.$field['key'] .'[max]" id="'. $field['key'] . '[max]" value="'.$field['value']['max'].'" '.$readonly['max'].'/>';
		echo '</div>';
		echo '<div class="clear"></div>';
		echo '<p class="description">'. $field['description'].'</p>';
		
	}		
	
}
?>