<?php
class special_invoice_fixed extends field{
	
	function __construct($parent){ 	
		parent::__construct($parent);	
	}
	
	function on_page_load($field){
	}
	function on_page_head($field){
	}
	function on_page_footer($field){
	}
	
	function on_page_body($field){
		$fixed = upf_get_option('settings_settings_1_invoices_fixed');
		if($fixed['option'] != 1){
			// usefull variables
			$field['key'] = $this->parent->create_prefix('field','_').$field['id'];
			$field['meta_key'] = $this->parent->create_prefix('tab','_').$field['id'];	
			$field['value'] = upf_get_option($field['meta_key']);
			
			$field['value'] =  true == $field['value'] ? $field['value'] : $field['default'];
			
			echo '<div id="'.$field['key'].'" class="field">';
				$this->create_field($field);
			echo '</div>';
		}
	}
	
	function on_page_save($field){
		$fixed = upf_get_option('settings_settings_1_invoices_fixed');
		if($fixed['option'] != 1){
			$field['key'] = $this->parent->create_prefix('field','_').$field['id'];
			
			$field['value'] = $_POST[$field['key']];
			$field['value']['value'] = preg_replace("/[^0-9.]/", "",$field['value']['value']);
			$numbers = preg_replace("/[^0-9]/", "",$field['value']['value']);
			if($numbers != ''){
				$field['value']['value'] = number_format($field['value']['value'].'', 2, '.', '');
			}else{
				$field['value']['value'] = '';
			}
			
			$field['value']['item'] = esc_html($field['value']['item'], 1);
			
			$field['value'] = serialize($field['value'] );
			$field['meta_key'] = $this->parent->create_prefix('tab','_').$field['id'];	
			upf_update_option($field['meta_key'], $field['value']);
		}
	}
		
	function create_field($field) {
		$required['span'] = true == $field['required'] ? '<span class="required"> *</span>' : ''; 
		$required['class'] = true == $field['required'] ? 'required' : ''; 
		$validation = $field['validation'];
		
		echo '<label for="'.$field['key'] .'">'.$field['title'].$required['span'].'</label>';
		echo '<input type="text" class="'.$required['class'].' '.$validationQQQ.'" name="'.$field['key'] .'[item]" id="'. $field['key'] . '[item]" value="'.$field['value']['item'].'" />';
		echo '<input type="text" class="digit '.$required['class'].' '.$validationQQQ.'" name="'.$field['key'] .'[value]" id="'. $field['key'] . '[value]" value="'.$field['value']['value'].'" />';
		echo '<p class="description">'. $field['description'].'</p>';
	}		
	
}
?>