<?php
class special_itemtotal extends field{
	
	function __construct($parent){ 	
		parent::__construct($parent);	
	}
	
	function on_page_load($field){
	}
	function on_page_head($field){
	}
	function on_page_footer($field){
	}
	function on_page_body($field){
		// usefull variables
		$field['key'] = $this->parent->create_prefix('field','_').$field['id'];
		$field['meta_key'] = $this->parent->create_prefix('tab','_').$field['id'];	
		$field['value'] = upf_get_option($field['meta_key']);
		
		$field['value'] =  true == $field['value'] ? $field['value'] : $field['default'];
		
		echo '<div id="'.$field['key'].'" class="field">';
			$this->create_field($field);
		echo '</div>';
	}
	function on_page_save($field){
		$field['key']['unitprice'] = $this->parent->create_prefix('field','_').'unitprice';
		$field['key']['quantity'] = $this->parent->create_prefix('field','_').'quantity';
		$field['key']['total'] = $this->parent->create_prefix('field','_').$field['id'];

		$field['value']['unitprice'] = preg_replace("/[^0-9.]/", "",$_POST[$field['key']['unitprice']]);
		$field['value']['unitprice'] = number_format($field['value']['unitprice'], 2, '.', '');
		$field['value']['quantity'] = $_POST[$field['key']['quantity']];
		$field['value']['quantity'] = preg_replace("/[^0-9]/", "",$field['value']['quantity']);
		
		$field['value']['total'] = $field['value']['unitprice'] * $field['value']['quantity'];
		if(!empty($field['value']['total'])){
			$field['value']['total'] = number_format($field['value']['total'], 2, '.', '');
		}else{
			$field['value']['total'] = '';
		}
		
		$field['meta_key']['total'] = $this->parent->create_prefix('tab','_').$field['id'];	
		upf_update_option($field['meta_key']['total'] , $field['value']['total']);
	}
		
	function create_field($field) {
		$required = true == $field['required'] ? '<span class="required"> *</span>' : ''; 
		
		echo '<label for="'.$field['key'] .'">'.$field['title'].$required.'</label>';
		echo '<input type="text" class="special_itemtotal" name="'.$field['key'] .'" id="'. $field['key'] . '" value="'.$field['value'].'" readonly="readonly" />';
		echo '<p class="description">'. $field['description'].'</p>';
	}		

	
}
?>