<?php
class user extends field{
	
	function __construct($parent){ 	
		parent::__construct($parent);	
	}
	
	function on_page_load($field){
	}
	function on_page_head($field){
	}
	function on_page_footer($field){
	}
	function on_page_body($field){
		// usefull variables
		$field['key'] = $this->parent->create_prefix('field','_').$field['id'];
		$field['meta_key'] = $this->parent->create_prefix('tab','_').$field['id'];	
		$field['value'] = upf_get_option($field['meta_key']);
				
		echo '<div id="'.$field['key'].'" class="field">';
			$this->create_field($field);
		echo '</div>';
	}
	
	function on_page_save($field){				
		$field['key'] = $this->parent->create_prefix('field','_').$field['id'];
		$field['value'] = $_POST[$field['key']];
		
		if($field['value'] == '-1'){
			$field['value'] = '';
		}
		
		$field['meta_key'] = $this->parent->create_prefix('tab','_').$field['id'];	
		upf_update_option($field['meta_key'], $field['value']);			
	}
		
	function create_field($field) {
		$required['span']  = true == $field['required']  ? '<span class="required"> *</span>' : ''; 
		$required['class']  = true == $field['required']  ? 'required' : ''; 		
		$validation = $field['validation'];
		$taken_users = array();

		$clientsonly = upf_get_option('settings_settings_1_portal_clientsonly');
		if($clientsonly['option'] != '0'){
			$clients_query = new WP_User_Query( array( 'role' => 'client', 'fields' => array( 'ID' ) ) );
			$clients = $clients_query->get_results();			
			if($clients){
				foreach($clients as $client){
					$client_ids[] =$client->ID;
				}
			}
			$users_query = new WP_User_Query( array( 'exclude' => $client_ids , 'fields' => array( 'ID' ) ) );	
			
			$users = $users_query->get_results();
			if($users){
				foreach($users as $user){
					if($field['value'] != $user->ID){		
						$user_ids[$user->ID] = $user->ID ;
					}
				}
			}
			$taken_users = $user_ids;
		}
		
		global $wpdb;				
		$where  = " WHERE page_id = 'clients'";
		$where .= " AND child_id = 'client'"; 
		$where .= " AND tab_id = 'information'";
		$where .= " AND field_id = 'user'";
		
		$sql = "SELECT meta_value FROM ".$wpdb->base_prefix."upf_options ".$where."";
		$results_obj = $wpdb->get_results($sql);
		foreach($results_obj as $key => $result){
			if($field['value'] != $result->meta_value){
				$taken_users[] = $result->meta_value;
			}
		}
		$taken_users = implode(',',$taken_users);

		echo '<label for="'.$field['key'] .'">'.$field['title'].$required['span'].'</label>';				
		$args = array(
			'show_option_none'        => 'Select an user..', // string
			'hide_if_only_one_author' => false,
			'orderby'                 => 'display_name',
			'order'                   => 'ASC',
			'exclude'                 => $taken_users, // string
			'show'                    => 'user_login',
			'selected'                => $field['value'],
			'include_selected' => false,
			'name'                    => $field['key'], // string
			'class'                   => 'user'.$validation, // string 
		);
		$wp_dropdown_users = wp_dropdown_users( $args );
		if(empty($wp_dropdown_users)){				
			echo '<select  name="'. $field['key']. '" id="'. $field['key']. '" disabled="disabled">';		
				echo '<option value="">No available users found..</option>';	
			echo '</select>';
			echo '<p class="description"><b>Please create an available user to enable</b><br>'. $field['description'].'</p>';
		}
		
		echo '<p class="description">'.$field['description'].'</p>';		
	}		

	
}
?>