jQuery(document).ready(function(){

	var eventHandler = function(container) {
	
		var orientation = jQuery('.slider-holder',container).data('orientation');
		var range =jQuery('.slider-holder',container).data('range');
		var min = jQuery('.slider-holder',container).data('min');
		var max = jQuery('.slider-holder',container).data('max');
		var step = jQuery('.slider-holder',container).data('step');
		
		if(range == true){
			var values = [jQuery('.slider.min',container).val(),jQuery('.slider.max',container).val()];
		}else if(range == 'min'){
			var value = jQuery('.slider.max',container).val();	
		}else if(range == 'max'){
			var value = jQuery('.slider.min',container).val();
		}

		jQuery('.slider-holder',container).slider({
			orientation: orientation,
			range: range,
			min: min,
			max: max,
			step: step,
			value: value,
			values: values,
			slide: function( event, ui ) {
				if(range == true){
					jQuery('.slider.min',container).val( ui.values[ 0 ]);
					jQuery('.slider.max',container).val( ui.values[ 1 ]);
				}else if(range == 'min'){
					jQuery('.slider.min',container).val(min);
					jQuery('.slider.max',container).val( ui.value);
				}else if(range == 'max'){
					jQuery('.slider.min',container).val( ui.value);
					jQuery('.slider.max',container).val(max);
				}
			}
		});	
		
	}

	jQuery(".slider-container").each(eventHandler);
	jQuery(".slider").bind('click keyup change',function() {
		jQuery(".slider-container").each(eventHandler);
	});


});