<?php
class metabox extends box{
	
	function __construct($parent){ 	
		parent::__construct($parent);	
	}
	
	function on_page_load($box){
		if(!$box['static'] ){
			add_meta_box($this->parent->create_prefix('tab').$box['id'].'-metabox', $box['title'], array($this, 'create_metabox'), $this->parent->pagehook, $box['context'], 'high',array("fields" => $box['fields']));
		}
	}
	function on_page_head($box){
		$this->create_fields($box['fields'],'on_page_head');
	}
	function on_page_footer($box){
		$this->create_fields($box['fields'],'on_page_footer');
	}
	function on_page_body($box){
		if($box['static'] ){
			add_meta_box($this->parent->create_prefix('tab').$box['id'].'-metabox', $box['title'], array($this, 'create_metabox'), $this->parent->pagehook, $box['context'], 'high',array("fields" => $box['fields']));
		}
	}
	function on_page_save($box){
		$this->create_fields($box['fields'],'on_page_save');
	}
	function create_metabox($post, $callback_args) {
		$fields = $callback_args['args']['fields'];
		$this->create_fields($fields,'on_page_body');
	}	

	function create_fields($fields,$class_function){
		if(is_array($fields)){
			foreach ($fields as $field) {				
				$this->parent->fields[$field['type']]->$class_function($field);
			}
		}	
	}
	
}
?>