<?php
class save extends field{
	
	function __construct($parent){ 	
		parent::__construct($parent);	
	}
	
	function on_page_load($field){
	}
	function on_page_head($field){
	}
	function on_page_footer($field){
	}
	function on_page_body($field){
		// usefull variables
		$field['key'] = $this->parent->create_prefix('child','_').'#_#_'.$field['id'];
		$field['meta_key'] = $this->parent->create_prefix('item','_').'#_'.$field['id'];	
		$field['value'] = upf_get_option($field['meta_key']);
		
		$field['value'] =  true == $field['value'] ? $field['value'] : array("created" => time());
		if(!empty($field['value']['modified'])){		
			echo '<div id="'.$field['id'].'-created" class="field curtime">';
				echo '<span id="timestamp">Created on: <b>'.date("M j, Y @ H:i", $field['value']['created']).'</b></span>';
			echo '</div>';
			echo '<div id="'.$field['id'].'-modified" class="field curtime">';
				echo '<span id="timestamp">Modified on: <b>'.date("M j, Y @ H:i", $field['value']['modified']).'</b></span>';
			echo '</div>';
		}else{
			echo '<div id="'.$field['id'].'-times" class="field curtime">';
				echo '<span id="timestamp">Create <b>immediately</b></span>';
			echo '</div>';		
		}
		echo '<div id="'.$field['id'].'" class="field">';
			if(!empty($field['value']['modified']) && !(isset($field['delete']) && $field['delete'] == false)){		
				//create nonce
				$action = $this->parent->create_prefix('item','-').'delete';
				$nonce= wp_create_nonce($action);
				$delete_link = $this->parent->create_url('item').'&action=delete&_wpnonce='.$nonce;
				if(!isset($field['delete_action'])){
					echo '<div id="delete-action">';
						echo '<a class="submitdelete deletion" href="'.$delete_link.'" onclick="javascript:return UpfConfirmDelete()">Delete</a>';
					echo '</div>';
				}
			}
			echo '<div id="publishing-action">';
				echo '<input type="hidden" class="text" name="'.$field['key'] .'" id="'. $field['key'] . '" value="'.$field['value']['created'].'" />';
				submit_button($button_text, $field['style'], $field['id'], false, $field['attributes'] );	
			echo '</div><div class="clear"></div>';
		echo '</div>';
	}
	function on_page_save($field){
		$field['key'] = $this->parent->create_prefix('child','_').'#_#_'.$field['id'];
		$field['value'] = $_POST[$field['key']];
		
		$field['value'] = array(
			"created" => $field['value'],
			"modified" => time(),
		);	
		$field['value'] = serialize($field['value'] );
		
		$field['meta_key'] = $this->parent->create_prefix('item','_').'#_'.$field['id'];		
		upf_update_option($field['meta_key'], $field['value']);		
	}
	
	function plfw_field($field) {
	}		
	
}
?>