<?php
class special_select_contact extends field{
	
	function __construct($parent){ 	
		parent::__construct($parent);	
	}
	
	function on_page_load($field){
	}
	function on_page_head($field){
	}
	function on_page_footer($field){
	}
	function on_page_body($field){
		// usefull variables
		$field['key'] = $this->parent->create_prefix('field','_').$field['id'];
		$field['meta_key'] = $this->parent->create_prefix('tab','_').$field['id'];	
		$field['value'] = upf_get_option($field['meta_key']);
		
		$field['value'] =  true == $field['value'] ? $field['value'] : $field['default'];
		
		echo '<div id="'.$field['id'].'" class="field">';
			$this->plfw_field($field);
		echo '</div>';
	}
	function on_page_save($field){
		$field['key'] = $this->parent->create_prefix('field','_').$field['id'];
		$field['value'] = $_POST[$field['key']];

		$field['meta_key'] = $this->parent->create_prefix('tab','_').$field['id'];	
		upf_update_option($field['meta_key'], $field['value']);
	}
		
	function plfw_field($field) {
		global $wpdb;
			
		$required = true == $field['required'] ? '<span class="required"> *</span>' : ''; 
		
		$where  = " WHERE page_id = 'clients'";
		$where .= " AND child_id = 'contact'"; 
		$where .= " AND tab_id = 'information'";
		$where .= " AND field_id = 'company'";
		$where .= " AND meta_value = '".$_GET['item']."'";	
		
		$sql = "SELECT item_id FROM ".$wpdb->base_prefix."upf_options ".$where."";
		$results = $wpdb->get_results($sql);
		
		foreach($results as $key => $result){
				$contacts[] = $result->item_id;
		}
		if(is_array($contacts)){
			$item_ids = implode(',', $contacts);
		}
		
		$where  = " WHERE page_id = 'clients'";
		$where .= " AND child_id = 'contact'"; 
		$where .= " AND tab_id = 'information'";
		$where .= " AND field_id IN ('lastname','firstname')";
		$where .= " AND item_id IN (".$item_ids.")";	
		
		$sql = "SELECT item_id,field_id,meta_value FROM ".$wpdb->base_prefix."upf_options ".$where." ";
		$results = $wpdb->get_results($sql);

		foreach($results as $key => $result){
			$field['options'][$result->item_id]['value'] = $result->item_id;
			if($result->field_id == "firstname"){
				$field['options'][$result->item_id]['firstname'] = $result->meta_value;
			}else{
				$field['options'][$result->item_id]['lastname'] = $result->meta_value;
			}
			$field['options'][$result->item_id]['title'] = $field['options'][$result->item_id]['lastname'].', '.$field['options'][$result->item_id]['firstname'];
		}		
		
		echo '<label for="'.$field['key'].'">'.$field['title'].$required.'</label>';
		if(is_array($field['options'])){
			echo '<select name="'. $field['key']. '" id="'. $field['key']. '">';		
				echo '<option value="">Select a contact..</option>';	
				foreach ($field['options'] as $option) {
					$selected['attribute'] = $field['value'] == $option['value'] ? 'selected="selected"' : '';
					if(!empty($selected['attribute'])){
						$selected['value'] = $option['value'];
						$selected['title'] = $option['title'];
					}
					echo '<option value="'. $option['value']. '" '.$selected['attribute'].'>'. $option['title']. '</option>';
				}
			echo '</select>';	
			if(!empty($selected['title'])){
				echo '<p class="description">Go to contact: <a href="?page=clients&child=contact&item='.$selected['value'].'" style="font-weight:bolder;text-decoration:none;">'.$selected['title'].'</a><br>'. $field['description'].'</p>';
			}else{
				echo '<p class="description">'. $field['description'].'</p>';			
			}
		}else{
			echo '<select  name="'. $field['key']. '" id="'. $field['key']. '" disabled="disabled">';		
				echo '<option value="">No related contacts found..</option>';	
			echo '</select>';
			echo '<p class="description"><b>Please create a related contact to enable</b><br>'. $field['description'].'</p>';
		}			
		
	}		

	
}
?>