<?php
class special_select_invoice extends field{
	
	function __construct($parent){ 	
		parent::__construct($parent);	
	}
	
	function on_page_load($field){
	}
	function on_page_head($field){
	}
	function on_page_footer($field){
	}
	function on_page_body($field){
		// usefull variables
		$field['key'] = $this->parent->create_prefix('field','_').$field['id'];
		$field['meta_key'] = $this->parent->create_prefix('tab','_').$field['id'];	
		$field['value'] = upf_get_option($field['meta_key']);
		
		$field['value'] =  true == $field['value'] ? $field['value'] : $field['default'];
		
		echo '<div id="'.$field['id'].'" class="field">';
			$this->plfw_field($field);
		echo '</div>';
	}
	function on_page_save($field){
		$field['key'] = $this->parent->create_prefix('field','_').$field['id'];
		$field['value'] = $_POST[$field['key']];

		$field['meta_key'] = $this->parent->create_prefix('tab','_').$field['id'];	
		upf_update_option($field['meta_key'], $field['value']);
	}
		
	function plfw_field($field) {
		global $wpdb;
		$searchby = upf_get_option('settings_settings_1_invoices_invoicesearch');		
		
		$where  = " WHERE page_id = 'invoices'";
		$where .= " AND child_id = 'invoice'"; 
		$where .= " AND tab_id = 'information'";
		$where .= " AND field_id = 'invoicetitle'";
		
		$sql = "SELECT item_id,meta_value FROM ".$wpdb->base_prefix."upf_options ".$where."";
		$results = $wpdb->get_results($sql);
		foreach($results as $key => $result){
			$titles[$result->item_id] = $result->meta_value;
		}		

		$where  = " WHERE page_id = 'invoices'";
		$where .= " AND child_id = 'invoice'"; 
		$where .= " AND tab_id = 'information'";
		$where .= " AND field_id = 'invoicenumber'";
		
		$sql = "SELECT item_id,meta_value FROM ".$wpdb->base_prefix."upf_options ".$where."";
		$results = $wpdb->get_results($sql);		
		if($searchby['option'] != '1'){		
			foreach($results as $key => $result){
				$field['options'][$result->item_id]['value'] = $result->item_id;
				if(!empty($titles[$result->item_id])){
					$titles[$result->item_id] = " (".$titles[$result->item_id].")";
				}
				$field['options'][$result->item_id]['title'] = $result->meta_value.$titles[$result->item_id];
			}		
		}else{
			foreach($results as $key => $result){
				$field['options'][$result->item_id]['value'] = $result->item_id;
				if(!empty($result->meta_value)){
					$result->meta_value = " (".$result->meta_value.")";
				}
				$field['options'][$result->item_id]['title'] = $titles[$result->item_id].$result->meta_value;
			}				
		}
		
		$required = true == $field['required'] ? '<span class="required"> *</span>' : ''; 	
		
		echo '<label for="'.$field['key'].'">'.$field['title'].$required.'</label>';
		if(is_array($field['options'])){
			echo '<select name="'. $field['key']. '" id="'. $field['key']. '">';		
				echo '<option value="">Select a invoice..</option>';	
				foreach ($field['options'] as $option) {
					if(empty($_GET['from_invoice'])){
						$selected['attribute'] = $field['value'] == $option['value'] ? 'selected="selected"' : '';
						if(!empty($selected['attribute'])){
							$selected['value'] = $option['value'];
							$selected['title'] = $option['title'];
						}
					}else{
						$selected['attribute'] = $_GET['from_invoice'] == $option['value'] ? 'selected="selected"' : '';
						if(!empty($selected['attribute'])){
							$selected['value'] = $option['value'];
							$selected['title'] = $option['title'];
						}
					}
					echo '<option value="'. $option['value']. '" '.$selected['attribute'].'>'. $option['title']. '</option>';
				}
			echo '</select>';	
			if(!empty($selected['title'])){
				echo '<p class="description">Go to invoice: <a href="?page=invoices&child=invoice&item='.$selected['value'].'" style="font-weight:bolder;text-decoration:none;">'.$selected['title'].'</a><br>'. $field['description'].'</p>';
			}else{
				echo '<p class="description">'. $field['description'].'</p>';			
			}
		}else{
			echo '<select  name="'. $field['key']. '" id="'. $field['key']. '" disabled="disabled">';		
				echo '<option value="">No invoices found..</option>';	
			echo '</select>';
			echo '<p class="description"><b>Please create a invoice to enable</b><br>'. $field['description'].'</p>';
		}			
		
	}		

	
}
?>