<?php
class timer extends field{
	
	function __construct($parent){ 	
		parent::__construct($parent);	
	}
	
	function on_page_load($field){
	}
	function on_page_head($field){
	}
	function on_page_footer($field){
	}
	function on_page_body($field){
		
		// usefull variables
		$field['key'] = $this->parent->create_prefix('field','_').$field['id'];
		$field['meta_key'] = $this->parent->create_prefix('tab','_').$field['id'];	
		$field['value'] = upf_get_option($field['meta_key']);
		
		$status = true == $field['value']['status'] ? $field['value']['status'] : 'stopped';
		$field['value']['status'] = true == $field['value']['status'] ? $field['value']['status'] : $field['default'] ;			
		$time['now'] = array_sum(explode( " ", microtime()));
		
		if($status == 'stopped'){
			$time['elapsed'] = $field['value']['elapsed'];
			if($time['elapsed'] > 0){
				?>
				<script>
					window.onload = function() {
						var d = new Date();
						var n = d.getTime();
						var starttime = n - 1000 *<?php echo $time['elapsed']; ?>;
						elapseMe({elapsed : starttime ,targetId:"elapsedtime", update : false, show: "all" });
					}
				</script>
				<?php
			}
		}else{
			$time['elapsed'] = $field['value']['elapsed'] + ($time['now'] - $field['value']['resumed']);
			?>
			<script>
				window.onload = function() {
					var d = new Date();
					var n = d.getTime();
					var starttime = n - 1000 *<?php echo $time['elapsed']; ?>;
					elapseMe({elapsed : starttime ,targetId:"elapsedtime", update : true, show: "all" });
				}
			</script>
			<?php
		}
		
		$diff = $time['elapsed']; 
		$days = floor($diff/60/60/24); 
		$diff -= $days*60*60*24; 
		$hours = floor($diff/60/60); 
		$diff -= $hours*60*60; 
		$minutes = floor($diff/60); 

		$time['text']['days'] = $days > 0 ? $days.' day' : '';
		$time['text']['hours'] = $hours > 0 ? $hours.' hour' : '';
		$time['text']['minutes'] = $minutes > 0 ? $minutes.' minute' : '';				
		$time['text']['days'] = $days >  1 ? $days.' days' : $time['text']['days'];
		$time['text']['hours'] = $hours > 1 ? $hours.' hours' : $time['text']['hours'];
		$time['text']['minutes'] = $minutes  > 1 ? $minutes.' minutes' : $time['text']['minutes'];
		
		if(($days+$hours+$minutes) > 0){
			$field['time_spent'] = implode(' ',$time['text']);
		}else{
			$field['time_spent'] = 'no time elapsed yet.';
		}
	
		echo '<div id="'.$field['key'].'" class="field curtime">';
			$this->plfw_field($field);
		echo '</div>';
		
	}
	
	function on_page_save($field){
		$field['key'] = $this->parent->create_prefix('field','_').$field['id'];
		$field['value'] = $_POST[$field['key']];
		
		$mtime = microtime();
		$mtime = explode( " ", $mtime );
		$time = $mtime[1] + $mtime[0];
		
		if($field['value']['action'] == 'reset'){
			$started = false;
			$resumed = false;
			$stopped = false;			
			$elapsed = 0;
			$status = 'stopped';
		}
		
		if($field['value']['action'] == 'start'){
			$started = $time;
			$resumed = $time;
			$stopped = false;			
			$elapsed = 0;
			$status = 'resumed';		
		}

		if($field['value']['action'] == 'resume'){
			$started = $field['value']['started'];
			$stopped = false;	
			if(!empty($field['value']['resumed']) && $field['value']['status'] == 'resumed') {
				$resumed = $time;	
				$elapsed = $field['value']['elapsed'] + ($time - $field['value']['resumed']);
			}else{
				$resumed = $time;	
				$elapsed = $field['value']['elapsed'];
			}				
			$status = 'resumed';		
		}
		
		if($field['value']['action'] == 'stop'){
			if($field['value']['started'] != ''){
				$started = $field['value']['started'];
			}else{
				$started = $time;
				$field['value']['resumed'] = $time;
			}
			$resumed = false;			
			if(!empty($field['value']['stopped']) && $field['value']['status'] == 'stopped'){
				$elapsed = $field['value']['elapsed'];
				$stopped = $field['value']['stopped'];	
			}else{
				$stopped = $time;	
				$elapsed = $field['value']['elapsed'] + ($time - $field['value']['resumed']);
			}
			$status = 'stopped';		
		}
		
		$field['value']['started'] = $started;
		$field['value']['resumed'] = $resumed;
		$field['value']['stopped'] = $stopped;
		$field['value']['elapsed'] = $elapsed;
		$field['value']['status'] = $status;	
		
		$field['value'] = serialize($field['value'] );
		$field['meta_key'] = $this->parent->create_prefix('tab','_').$field['id'];	
		upf_update_option($field['meta_key'], $field['value']);
	}
	
	function plfw_field($field) {		
		?>
		<script>
			jQuery(document).ready(function(){
				jQuery('.timer-buttonset').buttonset();
			});
			
			var elapseMe = 	(function elapseTimer(settings)
				{
					var d = new Date();
					var defaults = {year: d.getFullYear(), month: d.getMonth(), day: d.getDate(), hr:d.getHours(), min: d.getMinutes(), sec: d.getSeconds(), targetId: "elapsedTime", update : true, show : "all"};
						
					if(typeof settings == "undefined") { settings = {}; }

					/*if some settings are omitted, reset those to the default ones.*/
					for(var i in defaults) { settings[i] = (typeof settings[i] == "undefined") ? defaults[i] : settings[i]; }


					var startDate = new Date();

					startDate.setYear(settings.year);
					startDate.setMonth(settings.month);
					startDate.setDate(settings.day);
					startDate.setHours(settings.hr);
					startDate.setMinutes(settings.min);
					startDate.setSeconds(settings.sec);
					var rightNow = new Date();

					/* Get elapsed time. */
					var elapsedTime = rightNow.getTime() - settings.elapsed;

					/* Get 1 day in milliseconds, ie 1000*60*60*24 */
					var one_day =  86400000;
					var elapsedDays = Math.floor( elapsedTime / one_day );

					/* Milliseconds still unaccounted for - less than a day's worth. */
					var milliSecondsRemaining = elapsedTime % one_day;

					/* Get 1 hour in milliseconds, ie 1000*60*60 */
					var one_hour = 3600000;
					var elapsedHours = Math.floor(milliSecondsRemaining / one_hour );

					/* Milliseconds still unaccounted for - less than an hour's worth. */
					milliSecondsRemaining = milliSecondsRemaining % one_hour;

					/* Get 1 minute in milliseconds, ie 1000*60 */
					var one_minute = 60000;
					var elapsedMinutes = Math.floor(milliSecondsRemaining / one_minute );

					/* Milliseconds still unaccounted for - less than a minute's worth. */
					milliSecondsRemaining = milliSecondsRemaining % one_minute;

					/* Get 1 second in milliseconds */
					var one_second = 1000;
					var elapsedSeconds = Math.round(milliSecondsRemaining / one_second);

					var resultOut  = (settings.show == "all" || settings.show.match(/days/gi) ) ? elapsedDays + " day" + ((elapsedDays == 1) ? " ":"s ") :"";
					resultOut += (settings.show == "all" || settings.show.match(/hours/gi) ) ? elapsedHours + " hour" + ((elapsedHours == 1) ? " ":"s ") :"";
					resultOut += (settings.show == "all" || settings.show.match(/minutes/gi) ) ? elapsedMinutes + " minute" + ((elapsedMinutes == 1) ? " ":"s ") :"";
					resultOut += (settings.show == "all" || settings.show.match(/seconds/gi) ) ? elapsedSeconds + " second" + ((elapsedSeconds == 1) ? " ":"s ") :"";

					document.getElementById(settings.targetId).innerHTML = resultOut;

					if(settings.update)
					{
						t = setTimeout(function(){ elapseTimer(settings)},1000);
					}
				});
				
		</script>
		<?php
		echo '<label for="'.$field['key'].'[action]">'.$field['title'].$required.'</label>';

		echo '<div style="margin:0 4px;display:inline-block;vertical-align: middle;"  class="timer-buttonset">';
			
			$options = array();
			
			if($field['value']['started'] == false){
				array_push($options, array("value" => "start",	"title" => "Start Timer", "checked" => true ));
			}elseif($field['value']['status'] == 'resumed'){
				array_push($options, array("value" => "resume",	"title" => "Resume Timer", "checked" => true));
			}elseif($field['value']['elapsed'] > 0){
				array_push($options, array("value" => "resume",	"title" => "Resume Timer" ));			
			}else{
				array_push($options, array("value" => "start",	"title" => "Start Timer" ));			
			}
			
			if($field['value']['status'] == 'stopped'){
				array_push($options, array("value" => "stop",	"title" => "Stoped", "checked" => true ));
			}else{
				array_push($options, array("value" => "stop",	"title" => "Stop"));
			}
			
			array_push($options, array("value" => "reset",	"title" => "Reset"));
			
			$i = 0;
			foreach ($options as $option) {
				$checked = true == $option['checked'] ? 'checked="checked"' : '';
				echo '<input type="radio" name="'. $field['key']. '[action]" id="'. $field['key'].'['.$i.']" value="'. $option['value']. '" '.$checked.' /><label class="radio" for="'. $field['key'].'['.$i.']">'.$option['title'].'</label>';
				$i++;
			}
			
		echo '</div>';
		echo '<div style="display:inline-block;margin:0 10px;vertical-align: middle;"><span id="timestamp">Time spent: <b id="elapsedtime">'.$field['time_spent'].'</b></span></div>';	
		
		echo '<input type="hidden" name="'. $field['key']. '[started]" id="'. $field['key']. '[started]" value ="'.$field['value']['started'].'">';
		echo '<input type="hidden" name="'. $field['key']. '[resumed]" id="'. $field['key']. '[resumed]" value ="'.$field['value']['resumed'].'">';
		echo '<input type="hidden" name="'. $field['key']. '[stopped]" id="'. $field['key']. '[stopped]" value ="'.$field['value']['stopped'].'">';
		echo '<input type="hidden" name="'. $field['key']. '[elapsed]" id="'. $field['key']. '[elapsed]" value ="'.$field['value']['elapsed'].'">';
		echo '<input type="hidden" name="'. $field['key']. '[status]" id="'. $field['key']. '[status]" value ="'.$field['value']['status'].'">';
		
		echo '<p class="description">'. $field['description'].'</p>';
	}		
	
}
?>