<?php
class update_invoice extends field{
	
	function __construct($parent){ 	
		parent::__construct($parent);	
	}
	
	function on_page_load($field){
	}
	function on_page_head($field){
	}
	function on_page_footer($field){
	}
	function on_page_body($field){
		// usefull variables
		$field['key'] = $this->parent->create_prefix('field','_').'update_invoice';
		$field['meta_key'] = $this->parent->create_prefix('tab','_').'invoice';	
		$field['value'] = upf_get_option($field['meta_key']);
		
		echo '<div id="'.$field['id'].'" style="display:none;">';
			$this->plfw_field($field);
		echo '</div>';
	}
	function on_page_save($field){
		$field['key'] = $this->parent->create_prefix('field','_').'invoice';
		$field['value']['new'] = $_POST[$field['key']];

		$field['key'] = $this->parent->create_prefix('field','_').'update_invoice';
		$field['value']['old'] = $_POST[$field['key']];

		if($field['value']['new'] != ''){
			$this->update_invoice($field['value']['new']);		
		}
		if($field['value']['old'] != '' && $field['value']['new'] != $field['value']['old']){
			$this->update_invoice($field['value']['old']);		
		}
	}
		
	function plfw_field($field) {
		echo '<input type="hidden" class="text '.$validation.'" name="'.$field['key'] .'" id="'. $field['key'] . '" value="'.$field['value'].'" />';		
	}		

	function update_invoice($invoice_id){
		global $wpdb;	

		$invoice_key = 'invoices_invoice_'.$invoice_id.'_';
		$invoice = upf_get_options($invoice_key);
		
		$where  = " WHERE page_id = 'invoices'";
		$where .= " AND child_id = 'item'"; 
		$where .= " AND tab_id = 'information'";
		$where .= " AND field_id = 'invoice'";
		$where .= " AND meta_value = '".$invoice_id."'";							
		$sql = "SELECT item_id FROM ".$wpdb->base_prefix."upf_options ".$where."";
		$results_obj = $wpdb->get_results($sql);					
		foreach($results_obj as $key => $result){
			$items[] = $result->item_id;
		}
		if(is_array($items)){
			$item_ids = implode(',', $items);
		}
		
		$where  = " WHERE page_id = 'invoices'";
		$where .= " AND child_id = 'item'"; 
		$where .= " AND tab_id = 'information'";
		$where .= " AND field_id = 'total'";	
		$where .= " AND item_id IN (".$item_ids.")";	
		$sql = "SELECT meta_value FROM ".$wpdb->base_prefix."upf_options ".$where." ";
		$results_obj = $wpdb->get_results($sql);		
		foreach($results_obj as $key => $result){
			$subtotal = $subtotal + $result->meta_value;
		}
		
		upf_update_option($invoice_key.'information_subtotal', $subtotal);

		$discount =$invoice[$invoice_key.'information_discount'];		
		$tax = $invoice[$invoice_key.'information_tax'];
		$taxed = round((($subtotal - $discount) * $tax / 100),2);
		upf_update_option($invoice_key.'information_taxed', $taxed);

		$total = $subtotal - $discount + $taxed;
		upf_update_option($invoice_key.'information_total', $total);
		
		$paid_manual = $invoice[$invoice_key.'information_paid'];	

		$paypal = $invoice[$invoice_key.'information_paypal'];
		if(is_array($paypal)){
			foreach ($paypal as $key => $payment) {
				$paid_paypal = $paid_paypal + $payment['mc_gross'];
			}	
		}		
		
		$due = $total - ($paid_manual + $paid_paypal);	
		if($due < 0){
			$due = 0.00;
		}
		upf_update_option($invoice_key.'information_due', $due);

	}
	
}



?>
