<?php
/*
Template Name: Invoice Template
*/
?>
<?

$portalpage = upf_get_option('settings_settings_1_portal_portalpage');
if(is_user_logged_in() ){		
	global $current_user;
	$user_id = $current_user->ID;
	$user_roles = $current_user->roles;
	$user_role = array_shift($user_roles);			
	
	global $wpdb;		
	$where  = " WHERE page_id = 'clients'";
	$where .= " AND child_id = 'client'"; 
	$where .= " AND tab_id = 'information'";
	$where .= " AND field_id = 'user'";
	$where .= " AND meta_value = '".$user_id."'";
	$sql = "SELECT item_id FROM ".$wpdb->base_prefix."upf_options ".$where."";
	$results_obj = $wpdb->get_results($sql);
	foreach($results_obj as $key => $result){
		$client_id = $result->item_id;
	}

	if (current_user_can('client_manager_invoices') ) {
		$invoice_id = esc_html($_GET['invoice']);
		$client_id = upf_get_option('invoices_invoice_'.$invoice_id.'_information_client');		
		upf_display_invoice($client_id,$invoice_id);
	}else{
		$clientsonly = upf_get_option('settings_settings_1_portal_clientsonly');
		if($clientsonly['option'] != '0'){
			$rolecheck = $user_role == 'client' ? true : false;
		}else{
			$rolecheck = true;
		}		

		if ($rolecheck == true) {
			$invoice_id = esc_html($_GET['invoice']);	
			$invoice_status = maybe_unserialize(upf_get_option('invoices_invoice_'.$invoice_id.'_information_status'));
			if(!empty($client_id) && upf_get_option('invoices_invoice_'.$invoice_id.'_information_client') == $client_id && $invoice_status['option'] != 'draft'){
				upf_display_invoice($client_id,$invoice_id);
			}else{
				wp_redirect( get_permalink( $portalpage ));
			}
		}else{
			//display the original content
			wp_redirect( get_permalink( $portalpage ));
		}	
	}
}else{
	wp_redirect( get_permalink( $portalpage ));
}	
	

function upf_display_invoice($client_id,$invoice_id){	
	$invoice_key = 'invoices_invoice_'.$invoice_id.'_';
	$invoice = upf_get_options($invoice_key);
	
	$invoice[$invoice_key.'information_invoicenumber'] = isset($invoice[$invoice_key.'information_invoicenumber']) ? $invoice[$invoice_key.'information_invoicenumber'] :'';		
	$invoice[$invoice_key.'information_invoicetitle'] = isset($invoice[$invoice_key.'information_invoicetitle']) ? $invoice[$invoice_key.'information_invoicetitle'] :'';				
	$invoice[$invoice_key.'information_description'] = isset($invoice[$invoice_key.'information_description']) ? $invoice[$invoice_key.'information_description'] :'';				
	$invoice[$invoice_key.'information_createdate'] = isset($invoice[$invoice_key.'information_createdate']) ? $invoice[$invoice_key.'information_createdate'] :'';				
	$invoice[$invoice_key.'information_duedate'] = isset($invoice[$invoice_key.'information_duedate']) ? $invoice[$invoice_key.'information_duedate'] :'';				
	$invoice[$invoice_key.'information_sentdate'] = isset($invoice[$invoice_key.'information_sentdate']) ? $invoice[$invoice_key.'information_sentdate'] :'';				
	$invoice[$invoice_key.'information_notes'] = isset($invoice[$invoice_key.'information_notes']) ? $invoice[$invoice_key.'information_notes'] :'';				
	$invoice[$invoice_key.'information_discount'] = isset($invoice[$invoice_key.'information_discount']) ? $invoice[$invoice_key.'information_discount'] :0;				
	$invoice[$invoice_key.'information_tax'] = isset($invoice[$invoice_key.'information_tax']) ? $invoice[$invoice_key.'information_tax'] :0;					
	$invoice[$invoice_key.'information_currency'] = isset($invoice[$invoice_key.'information_currency']) ? $invoice[$invoice_key.'information_currency'] :array("title" => false, "option" => false);	
	$invoice[$invoice_key.'information_taxed'] = isset($invoice[$invoice_key.'information_taxed']) ? $invoice[$invoice_key.'information_taxed'] : 0;		
	$invoice[$invoice_key.'information_fixed'] = isset($invoice[$invoice_key.'information_fixed']) ? $invoice[$invoice_key.'information_fixed'] : array("title" => false, "option" => false);				
	$invoice[$invoice_key.'information_total'] = isset($invoice[$invoice_key.'information_total']) ? $invoice[$invoice_key.'information_total'] :0;				
	$invoice[$invoice_key.'information_paid'] = isset($invoice[$invoice_key.'information_paid']) ? $invoice[$invoice_key.'information_paid'] :0;				
	$invoice[$invoice_key.'information_paypal'] = isset($invoice[$invoice_key.'information_paypal']) ? $invoice[$invoice_key.'information_paypal'] :0;				
	$invoice[$invoice_key.'information_due'] = isset($invoice[$invoice_key.'information_due']) ? $invoice[$invoice_key.'information_due'] :0;							
	$invoice[$invoice_key.'information_status'] = isset($invoice[$invoice_key.'information_status']) ? $invoice[$invoice_key.'information_status'] :array("title" => false, "option" =>false,);				
	$invoice[$invoice_key.'information_subtotal'] = isset($invoice[$invoice_key.'information_subtotal']) ? $invoice[$invoice_key.'information_subtotal'] :0;
	
	$client_key = 'clients_client_'.$client_id.'_';
	$client = upf_get_options($client_key);
	
	$client[$client_key.'information_company'] = isset($client[$client_key.'information_company']) ? $client[$client_key.'information_company'] :'';					
	$client[$client_key.'information_sector'] = isset($client[$client_key.'information_sector']) ? $client[$client_key.'information_sector'] :'';
	$client[$client_key.'information_activities'] = isset($client[$client_key.'information_activities']) ? $client[$client_key.'information_activities'] :'';
	$client[$client_key.'information_employees'] = isset($client[$client_key.'information_employees']) ? $client[$client_key.'information_employees'] :'';
	$client[$client_key.'information_street'] = isset($client[$client_key.'information_street']) ? $client[$client_key.'information_street'] :'';
	$client[$client_key.'information_street2'] = isset($client[$client_key.'information_street2']) ? $client[$client_key.'information_street2'] :'';
	$client[$client_key.'information_city'] = isset($client[$client_key.'information_city']) ? $client[$client_key.'information_city'] :'';
	$client[$client_key.'information_zipcode'] = isset($client[$client_key.'information_zipcode']) ? $client[$client_key.'information_zipcode'] :'';
	$client[$client_key.'information_state'] = isset($client[$client_key.'information_state']) ? $client[$client_key.'information_state'] :'';
	$client[$client_key.'information_country'] = isset($client[$client_key.'information_country']) ? $client[$client_key.'information_country'] :'';
	$client[$client_key.'information_phone'] = isset($client[$client_key.'information_phone']) ? $client[$client_key.'information_phone'] :'';
	$client[$client_key.'information_email'] = isset($client[$client_key.'information_email']) ? $client[$client_key.'information_email'] :'';
	$client[$client_key.'information_website'] = isset($client[$client_key.'information_website']) ? $client[$client_key.'information_website'] :'';
	$client[$client_key.'information_cocnumber'] = isset($client[$client_key.'information_cocnumber']) ? $client[$client_key.'information_cocnumber'] :'';
	$client[$client_key.'information_vatnumber'] = isset($client[$client_key.'information_vatnumber']) ? $client[$client_key.'information_vatnumber'] :'';
	$client[$client_key.'information_bankaccount'] = isset($client[$client_key.'information_bankaccount']) ? $client[$client_key.'information_bankaccount'] :'';
	
	$currency = $invoice[$invoice_key.'information_currency'];
	$currency = maybe_unserialize($currency);
	$currency = $currency['option'];

	//get all items by id
	global $wpdb;		
	$where  = " WHERE page_id = 'invoices'";
	$where .= " AND child_id = 'item'"; 
	$where .= " AND tab_id = 'information'";
	$where .= " AND field_id = 'invoice'";
	$where .= " AND meta_value = '".$invoice_id."'";							
	$sql = "SELECT item_id FROM ".$wpdb->base_prefix."upf_options ".$where."";
	$results_obj = $wpdb->get_results($sql);
	
	$item_ids =array();
	foreach($results_obj as $key => $result){
		$item_ids[] = $result->item_id;
	}
	$item_ids = implode(',', $item_ids);
	
	//get all items
	$items= array();
	$where  = " WHERE page_id = 'invoices'";
	$where .= " AND child_id = 'item'"; 
	$where .= " AND item_id IN (".$item_ids.")";							
	$sql = "SELECT * FROM ".$wpdb->base_prefix."upf_options ".$where." ";
	$results_obj = $wpdb->get_results($sql);		
	$results =array();
	foreach($results_obj as $key => $result){
		$results[$result->meta_key] = $result->meta_value;
	}
	foreach($results as $meta_key => $meta_value){
		$keys = explode("_", $meta_key);
		$item = $keys['2'];
		$column_name = $keys['3']."_".$keys['4'];	
		$items[$item][$column_name] = $meta_value; // store column row value
	}
	
	//begin invoice template
	echo '<html>';
		echo '<head>';
			echo '<title>Invoice '.$invoice[$invoice_key.'information_invoicenumber'].'</title>';
			echo '<link rel="stylesheet" type="text/css" href="'. plugins_url('css/invoice.css', __FILE__ ).'" >';
		echo '</head>';
		echo '<body class="invoice">';
			//invoice status
			echo '<div class="status" style="padding-top:15px;padding-bottom:15px;">';
				$status = maybe_unserialize($invoice[$invoice_key.'information_status']);			
				echo '<strong>Status: '.$status['title'].'</strong>';
				echo '<span style="float:right"><a href="javascript:window.print();" id="print-link">Print</a></span>';			
			echo '</div>';							
			//payal button
			$paypal_on = upf_get_option('settings_settings_1_invoices_paypal');
			if($invoice[$invoice_key.'information_due'] != '0' && $paypal_on['option'] == '1' && get_option('permalink_structure')){			
				echo '<div class="status" style="padding-top:15px;padding-bottom:15px;text-align:right">';
					echo '<i style="line-height:50px;">Online payments processed by PayPal</i><br>';
						
						$paypalsandbox = upf_get_option('settings_settings_1_invoices_paypalsandbox');
						if($paypalsandbox['option'] != '1'){
							$action = 'https://www.paypal.com/cgi-bin/webscr';
						}else{
							$action = 'https://www.sandbox.paypal.com/cgi-bin/webscr';
						}
						$receiver_email = upf_get_option('settings_settings_1_invoices_paypalemail');
						?>
						<form action="<?php echo $action; ?>" method="post">  
							<input type="hidden" name="cmd" value="_xclick">  
							
							<input type="hidden" name="business" value="<?php echo $receiver_email; ?>">  
							<input type="hidden" name="item_name" value="Invoice payment">  
							<input type="hidden" name="item_number" value="<?php echo $invoice[$invoice_key.'information_invoicenumber']; ?>">
							
							<input type="hidden" name="invoice" value="<?php echo $invoice_id ?>">  
							
							<input type="hidden" name="amount" value="<?php echo $invoice[$invoice_key.'information_due']; ?>">  
							<input type="hidden" name="shipping"  value="0.00">
							<input type="hidden" name="tax"  value="0.00">
							<input type="hidden" name="no_note" value="1">
							<input type="hidden" name="no_shipping" value="1">
								
							<input type="hidden" name="lc"  value="US">		
							<input type="hidden" name="currency_code" value="<?php echo $currency; ?>">
								
							<input type="hidden" name="return" value="<?php echo get_permalink( upf_get_option('settings_settings_1_portal_portalpage'))   ?>" />  
							<input type="hidden" name="cancel_return" value="<?php echo get_permalink( upf_get_option('settings_settings_1_portal_portalpage'))  ?>" />  
							<input type="hidden" name="notify_url" value="<?php echo  site_url('/ipn_handler/paypal') ?>" />  
							
							<input type="hidden" name="bn" value="PP-BuyNowBF">  
							<input  type="image" src="https://www.paypal.com/en_AU/i/btn/btn_buynow_LG.gif" border="0" name="submit" alt="PayPal - The safer, easier way to pay online.">  
							<img alt="" border="0" src="https://www.paypal.com/en_AU/i/scr/pixel.gif" width="1" height="1">  
						</form>  
						<?php										
					echo '<div class="clear"></div>'; 
				echo '</div>';		
			}
				
			//begin preview page
			echo '<div id="page">';

				$replacements = array(
					'[invoicenumber]' => $invoice[$invoice_key.'information_invoicenumber'],
					'[invoicetitle]' => $invoice[$invoice_key.'information_invoicetitle'], 
					'[description]' => nl2br($invoice[$invoice_key.'information_description']), 
					'[createdate]' => date_i18n('j F Y' ,strtotime($invoice[$invoice_key.'information_createdate'])), 
					'[duedate]' => date_i18n('j F Y' ,strtotime($invoice[$invoice_key.'information_duedate'])), 
					'[sentdate]' => date_i18n('j F Y' ,strtotime($invoice[$invoice_key.'information_sentdate'])), 
					'[notes]' => nl2br($invoice[$invoice_key.'information_notes']), 
					'[status]' => $status['title'], 
					'[discount]' => $invoice[$invoice_key.'information_discount'], 
					'[tax]' => $invoice[$invoice_key.'information_tax'],
					'[currencycode]' => $currency, 
					
					'[client]' => $client[$client_key.'information_company'], 
					'[client_sector]' => $client[$client_key.'information_sector'], 
					'[client_activities]' => $client[$client_key.'information_activities'], 
					'[client_employees]' => $client[$client_key.'information_employees'],
					'[client_street]' => $client[$client_key.'information_street'],
					'[client_street2]' => $client[$client_key.'information_street2'],
					'[client_city]' => $client[$client_key.'information_city'],
					'[client_zipcode]' => $client[$client_key.'information_zipcode'],
					'[client_state]' => $client[$client_key.'information_state'], 
					'[client_country]' => $client[$client_key.'information_country'],
					'[client_phone]' => $client[$client_key.'information_phone'],
					'[client_email]' => $client[$client_key.'information_email'], 
					'[client_website]' => $client[$client_key.'information_website'],
					'[client_cocnumber]' => $client[$client_key.'information_cocnumber'],
					'[client_vatnumber]' => $client[$client_key.'information_vatnumber'],
					'[client_bankaccount]' => $client[$client_key.'information_bankaccount'],
			
					'[company]' => upf_get_option('settings_settings_1_clients_company'), 
					'[company_sector]' => upf_get_option('settings_settings_1_clients_sector'),
					'[company_activities]' => upf_get_option('settings_settings_1_clients_activities'),
					'[company_employees]' => upf_get_option('settings_settings_1_clients_employees'),
					'[company_street]' => upf_get_option('settings_settings_1_clients_street'),
					'[company_street2]' => upf_get_option('settings_settings_1_clients_street2'),
					'[company_city]' => upf_get_option('settings_settings_1_clients_city'),
					'[company_zipcode]' => upf_get_option('settings_settings_1_clients_zipcode'),
					'[company_state]' => upf_get_option('settings_settings_1_clients_state'),
					'[company_country]' => upf_get_option('settings_settings_1_clients_country'),
					'[company_phone]' => upf_get_option('settings_settings_1_clients_phone'),
					'[company_email]' => upf_get_option('settings_settings_1_clients_email'),
					'[company_website]' => upf_get_option('settings_settings_1_clients_website'),
					'[company_cocnumber]' => upf_get_option('settings_settings_1_clients_cocnumber'),
					'[company_vatnumber]' => upf_get_option('settings_settings_1_clients_vatnumber'),
					'[company_bankaccount]' => upf_get_option('settings_settings_1_clients_bankaccount'),
					
				);
				$header =  str_replace(array_keys($replacements), $replacements, upf_get_option('settings_settings_1_invoices_header'));
				$footer =  str_replace(array_keys($replacements), $replacements, upf_get_option('settings_settings_1_invoices_footer'));

				echo wpautop(wptexturize($header));
						
				echo '<div class="clear"></div>';
				
				//invoice items header
				echo '<table cellspacing="0" class="invoice-items">';
					echo '<thead>
						<tr>
							<th scope="col" class="first" width="200"><span>Item Name</span></th>
							<th scope="col" class="first"><span>Description</span></th>
							<th scope="col" width="100"><span>Unit Price</span></th>
							<th scope="col" width="110"><span>Hours/Quantity</span></th>
							<th scope="col" width="100"><span>Total</span></th>	
						</tr>
					</thead>';
											
					//invoice items body
					echo '<tbody>';
					if(is_array($items)){
						foreach($items as $row => $item){	
							echo '<tr>';
								echo '<td class="first">'.$item['information_itemname'].'</td>';
								echo '<td class="first">'.$item['information_description'].'</td>';							
								echo '<td>'.number_format($item['information_unitprice'], 2, '.', ',').'</td>';										
								echo '<td>'.$item['information_quantity'].'</td>';				
								echo '<td>'.number_format($item['information_total'], 2, '.', ',').'</td>';			
							echo '</tr>';		
						}
					}
					echo '</tbody>';	
						//invoice items footer
					echo '<tfoot>';
						echo '<tr>';
							echo '<th scope="col" colspan="4" style="text-align:right;" ><span>Subtotal:</span></th>';
							echo '<th scope="col">';
							$subtotal = $invoice[$invoice_key.'information_subtotal'];
							if(!empty($subtotal)){
								echo number_format($subtotal, 2, '.', ',');										
							}
							echo '</th>';
						echo '</tr>';
					echo '</tfoot>';
				echo '</table>';						
				
				echo '<p><br></p>';
												
				//invoice totals
				echo '<div class="invoice-totals-wrap">';
					echo '<table cellspacing="0" class="invoice-totals">';
						echo '<tbody>';
							$discount =$invoice[$invoice_key.'information_discount'];
							if(!empty($discount)){	
								echo '<tr><td scope="col" width="220" style="text-align:right;" ><span>Discount:</span></td><td scope="col" width="100" >';
									echo '<span>'.$discount.'</span>';	
								echo '</td></tr>';
							}
							$tax = $invoice[$invoice_key.'information_tax'];
							$taxed = $invoice[$invoice_key.'information_taxed'];
							if(!empty($tax) || !empty($taxed)){	
								echo '<tr><td scope="col" width="220" style="text-align:right;" ><span>Tax ('.$tax.'%):</span></td><td scope="col" width="100" >';
									echo '<span>'.number_format($taxed, 2, '.', ',').'</span>';	
								echo '</td></tr>';
							}

							$fixed = $invoice[$invoice_key.'information_fixed'];
							$fixed = maybe_unserialize($fixed);
							
							if(!empty($fixed['value'])){	
								echo '<tr><td scope="col" width="220" style="text-align:right;" ><span>'.$fixed['item'].':</span></td><td scope="col" width="100" >';
									echo '<span>'.number_format($fixed['value'], 2, '.', ',').'</span>';	
								echo '</td></tr>';
							}
							
							$total = $invoice[$invoice_key.'information_total'];
							if(!empty($total)){	
								echo '<tr><td scope="col" width="220" style="text-align:right;" ><span>Total:</span></td><td scope="col" width="100" >';
									echo '<span>'.number_format($total, 2, '.', ',').'</span>';	
								echo '</td></tr>';
							}
							
							$paid_manual = $invoice[$invoice_key.'information_paid'];		
							$paypal = $invoice[$invoice_key.'information_paypal'];
							$paypal = maybe_unserialize($paypal);
							$paid_paypal =0;
							if(is_array($paypal)){
								foreach ($paypal as $key => $payment) {
									$paid_paypal = $paid_paypal + $payment['mc_gross'];
								}	
							}else{
								$paid_paypal = 0;
							}							
							$paid = $paid_manual + $paid_paypal;
							if(!empty($paid)){	
								echo '<tr><td scope="col" width="220" style="text-align:right;" ><span>Paid:</span></td><td scope="col" width="100" >';
									echo '<span>'.number_format($paid, 2, '.', ',').'</span>';	
								echo '</td></tr>';
							}
							
							$due = $invoice[$invoice_key.'information_due'];	
							echo '<tr><td scope="col" width="220" style="text-align:right;" nowrap><span>Amount Due:</span></td><td scope="col" width="100" >';
								echo '<span style="font-size:20px;">'.number_format($due, 2, '.', ',').'&nbsp;'.$currency.'</span>';	
							echo '</td></tr>';
									
						echo '</tbody>';			
					echo '</table><br>';	
				echo '</div>';
				

				//invoice notes
				if(!empty($invoice[$invoice_key.'information_notes'])){
					echo '<div class="notes">';
						echo '<br><strong>Notes:</strong><br>';
						echo nl2br($invoice[$invoice_key.'information_notes']);
					echo '</div>';
				}
				echo '<div class="clear"></div><br>';

				echo wpautop(wptexturize($footer));
				
				/*
				echo '<br><br>';
					
				//invioce conditions terms
				echo '<div class="conditions">'.upf_get_option('settings_settings_1_invoices_conditions').'</div>';
				echo '<hr>';
				//invoice thanks message
				echo '<div class="thanks">'.upf_get_option('settings_settings_1_invoices_thanks').'</div>';
				*/
				
				echo '<div class="clear"></div>';
				
			echo '</div>';
		echo '</body>';
	echo '</html>';
}
?>
